<head>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  </head>
<body>
  <ng-template #noHost>
    <div class="cover">
    <div class="section-error">
    <p><br>
      <i class="glyphicon glyphicon-envelope" style="font-size:25px;color:#d1053f"></i>
        You are not host!!!
        <br>
        You should be host to add new villa.
        <br>
        Log out and register as host or go back to our home page to see our destinations.
    </p>
      </div>
      </div>
    </ng-template>
  
    
<div *ngIf="currentUser().userRole=='host'; else noHost" class="container">
    <br>
    <br>
<section id="login">
    <div class="bwm-form border ">
        <div class="row">
            <div class="col-md-5">
              <h1 class="page-title" style="font-family: 'Karla', sans-serif; font-weight: lighter;">Add stay</h1>
        <form #addStayForm="ngForm">
            <div class="form-group">
                <label for="name" id="lbl">Name</label>
                <input type="text"
                       class="form-control"
                       id="name"
                       name="name"
                       [(ngModel)] = "newVilla.villaName"
                       required>
              </div>


              <div class="form-group">
                <label for="type" id="lbl">Type</label>
                <input type="text"
                       name="type"
                       class="form-control"
                       id="type"
                       placeholder="room/apartment"
                       [(ngModel)] = "newVilla.type"
                       required>
              </div>

              <div class="form-group">
                <label for="location" id="lbl">Location</label>
                <input type="text"
                       class="form-control"
                       id="location"
                       name="location"
                       [(ngModel)] = "newVilla.location"
                       required>
              </div>

              <div class="form-group">
                <label for="destination" id="lbl">Destination</label>
                <input type="text"
                       name="destination"
                       class="form-control"
                       id="destination"
                       placeholder="serbia/world"
                       [(ngModel)] = "newVilla.destination"
                       required>
              </div>

              

              <div class="form-group">
                  <label for="numberOfRooms" id="lbl">Number of rooms</label>
                <input type="number"
                       class="form-control"
                       id="numberOfRooms"
                       name="numberOfRooms"
                       [(ngModel)] = "newVilla.numberOfRooms"
                       required>
              </div>

              <div class="form-group">
                <label for="numOfGuests" id="lbl">Number of guests</label>
              <input type="number"
                     class="form-control"
                     id="numOfGuests"
                     name="numOfGuests"
                     [(ngModel)] = "newVilla.numOfGuests"
                     required>
            </div>
    
              <div class="form-group">
                <label for="price" id="lbl">Price per night</label>
                <div class="input-group">
                  <div class="input-group-prepend">
                    <div class="input-group-text">$</div>
                  </div>
                  <input type="number"
                         name="pricePerNight"
                         class="form-control"
                         id="pricePerNight"
                         name="pricePerNight"
                         [(ngModel)] = "newVilla.pricePerNight"
                         required>
                </div>
              </div>


              <div class="form-group">
                <label for="image" id="lbl">Image</label>
                <input type="file"
                       name="image"
                       class="form-control"
                       id="image"
                       placeholder="Upload file..."
                       (change)="handleImageUpload($event.target.files)"
                       >
              </div>



            <button type="submit" (click)= "createVilla()"  class="btn btn-secondary" style="background: -webkit-linear-gradient(left, #ACB595, #7B8791);" [disabled]="!addStayForm.form.valid">SUBMIT</button>
        </form>
        <div class="alert alert-danger" *ngIf="errors.length > 0">
          <p *ngFor="let error of errors">
            {{error.details}}
          </p>
       </div>
        </div>
        <div class="col-md-6 ml-auto">
         <div class="container">
            <img class="rounded" src="assets/img/background.jpg" alt="" style="width: 525px; height: 850px;">
        </div>
      </div>
    </div>
    </div>
  </section>
  <br>
  <br>
</div>

</body>


        
    

 